package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 产品信息对象 sys_product
 *
 * @author nichun
 * @date 2023-03-08
 */
public class SysProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 产品Id */
    private Long id;

    /** 产品图片地址 */
    @Excel(name = "产品图片地址")
    private String avatar;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String name;

    /** 产品型号 */
    @Excel(name = "产品型号")
    private String version;

    /** 产品品类（大类） */
    @Excel(name = "产品品类", readConverterExp = "大=类")
    private String bigtype;

    /** 产品品类（小类） */
    @Excel(name = "产品品类", readConverterExp = "小=类")
    private String subtype;

    /** 节点类型 */
    @Excel(name = "节点类型")
    private String genre;

    /** 产品描述 */
    @Excel(name = "产品描述")
    private String describes;

    /** 联网方式 */
    @Excel(name = "联网方式")
    private String network;

    /** 数据格式 */
    @Excel(name = "数据格式")
    private String dataFormat;

    /** 数据校验级别 */
    @Excel(name = "数据校验级别")
    private String scale;

    /** 认证方式 */
    @Excel(name = "认证方式")
    private String attestation;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getVersion()
    {
        return version;
    }
    public void setBigtype(String bigtype)
    {
        this.bigtype = bigtype;
    }

    public String getBigtype()
    {
        return bigtype;
    }
    public void setSubtype(String subtype)
    {
        this.subtype = subtype;
    }

    public String getSubtype()
    {
        return subtype;
    }
    public void setGenre(String genre)
    {
        this.genre = genre;
    }

    public String getGenre()
    {
        return genre;
    }
    public void setDescribes(String describes)
    {
        this.describes = describes;
    }

    public String getDescribes()
    {
        return describes;
    }
    public void setNetwork(String network)
    {
        this.network = network;
    }

    public String getNetwork()
    {
        return network;
    }
    public void setDataFormat(String dataFormat)
    {
        this.dataFormat = dataFormat;
    }

    public String getDataFormat()
    {
        return dataFormat;
    }
    public void setScale(String scale)
    {
        this.scale = scale;
    }

    public String getScale()
    {
        return scale;
    }
    public void setAttestation(String attestation)
    {
        this.attestation = attestation;
    }

    public String getAttestation()
    {
        return attestation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("avatar", getAvatar())
            .append("name", getName())
            .append("version", getVersion())
            .append("bigtype", getBigtype())
            .append("subtype", getSubtype())
            .append("genre", getGenre())
            .append("describes", getDescribes())
            .append("network", getNetwork())
            .append("dataFormat", getDataFormat())
            .append("scale", getScale())
            .append("attestation", getAttestation())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
